Page MenuHomePhabricator

Translate/RevisionStore: $pageId and $revId cannot both be 0 or null
Closed, ResolvedPublic

Description

Error

Request ID: XH64YwpAIDYAAJyuKO0AAACG

message
$pageId and $revId cannot both be 0 or null
trace
#0 /srv/mediawiki/php-1.33.0-wmf.20/includes/Revision/RevisionStore.php(1773): MediaWiki\Revision\RevisionStore->getTitle(integer, integer, integer)
#1 /srv/mediawiki/php-1.33.0-wmf.20/extensions/Translate/TranslateUtils.php(110): MediaWiki\Revision\RevisionStore->newRevisionFromRow(stdClass)
#2 /srv/mediawiki/php-1.33.0-wmf.20/extensions/Translate/TranslateUtils.php(63): TranslateUtils::getContents(array, integer)
#3 /srv/mediawiki/php-1.33.0-wmf.20/extensions/Translate/translationaids/CurrentTranslationAid.php(25): TranslateUtils::getMessageContent(string, string, integer)
#4 /srv/mediawiki/php-1.33.0-wmf.20/extensions/Translate/api/ApiQueryTranslationAids.php(88): CurrentTranslationAid->getData()
#5 /srv/mediawiki/php-1.33.0-wmf.20/includes/api/ApiMain.php(1595): ApiTranslationAids->execute()
#6 /srv/mediawiki/php-1.33.0-wmf.20/includes/api/ApiMain.php(531): ApiMain->executeAction()
#7 /srv/mediawiki/php-1.33.0-wmf.20/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#8 /srv/mediawiki/php-1.33.0-wmf.20/api.php(87): ApiMain->execute()
#9 /srv/mediawiki/w/api.php(3): include(string)
#10 {main}

Impact

Notes

Several of them on mediawiki.org eg: https://www.mediawiki.org/w/api.php?action=translationaids&format=json&title=Translations%3ATalk%20pages%20consultation%202019%2F2%2Fja

Event Timeline

hashar triaged this task as Unbreak Now! priority.Mar 5 2019, 6:01 PM
hashar created this task.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes, Aklapper. · View Herald TranscriptMar 5 2019, 6:01 PM

I am quite sure this is a regression from https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Translate/+/483618 – suggesting reverting that patch.

abi_ added a subscriber: abi_.Mar 6 2019, 8:01 AM

I created a revert for the deployment branch as well: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Translate/+/494659 – just needs merging.

Mentioned in SAL (#wikimedia-operations) [2019-03-06T10:38:15Z] <hashar@deploy1001> Synchronized php-1.33.0-wmf.20/extensions/Translate/TranslateUtils.php: Revert "TranslateUtils: Avoid use of deprecated class Revision" - T217689 (duration: 00m 59s)

hashar closed this task as Resolved.Mar 6 2019, 12:25 PM

I can confirm the error message is no more appearing when reaching the URL mentioned. Thank you.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM